Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516441 - clipboard sometimes stop working in Wayland session
Summary: clipboard sometimes stop working in Wayland session
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mutter
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Carlos Garnacho
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 15:56 UTC by Tomas Pelka
Modified: 2018-06-22 12:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-22 12:41:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 768887 None None None 2017-11-22 15:57:33 UTC
GNOME Bugzilla 775313 None None None 2017-11-22 15:58:33 UTC
GNOME Bugzilla 782694 None None None 2018-02-04 13:49:09 UTC
Mozilla Foundation 1434572 None None None 2018-02-04 13:49:46 UTC
Red Hat Bugzilla 1553825 None None None Never

Internal Links: 1553825

Description Tomas Pelka 2017-11-22 15:56:59 UTC
Description of problem:
clipboard sometime get crazy and stop working, meaning user is not able to store and paste anything. It past always the last record from the stack.

Version-Release number of selected component (if applicable):
mutter-3.26.2-4.el7
gnome-shell-3.26.2-2.el7

How reproducible:
60%
We unfortunately don't have 100% reproducer

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
There is a workaround when you met this issue. User need to open gnome-terminal window or use any existing one, type some text there and cpy&paste it inside gnome-terminal it self.

Comment 1 Ed Marshall 2017-11-24 07:08:14 UTC
I've been seeing similar behavior here on F27 (seemingly localized to gnome-shell, although I'm not convinced this is specifically a gnome-shell issue) so I'll include it here too):

mutter-3.26.2-1.fc27.x86_64
gnome-shell-3.26.2-1.fc27.x86_64    
gnome-terminal-3.26.2-1.fc27.x86_64 

"Some amount of time" after gnome-terminal startup (usually after multiple network changes, laptop suspends, etc), I'll suddenly notice I can't copy from my gnome-terminal session into, say, Firefox. If I fire up gedit or something similar, I note that the same thing happens there, but after giving it a bit of time, switching workspaces, etc, I'll come back to gedit and notice that the text eventually pasted.

If I restart gnome-terminal, things appear to go back to normal.

When the problem is occurring, I see a lot of this in the user journal:

Nov 23 22:13:22 xps13.sfo1.in.logic.net gnome-terminal-[3812]: Error writing selection data: Error writing to file descriptor: Broken pipe

And occasionally see this (which I suspect is unrelated, but I'll include it for completeness):

Nov 23 22:11:38 xps13.sfo1.in.logic.net org.gnome.Shell.desktop[2416]: Window manager warning: last_user_time (101496955) is greater than comparison timestamp (101496954).  This most likely represents a buggy client sending in
accurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Nov 23 22:11:38 xps13.sfo1.in.logic.net org.gnome.Shell.desktop[2416]: Window manager warning: 0x3a00010 (gnome-term) appears to be one of the offending windows with a timestamp of 101496955.  Working around...

Comment 2 Ed Marshall 2017-11-24 07:09:03 UTC
#1413858 appears to be related? That issue refers to this upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=782694

Comment 3 Matěj Cepl 2018-02-04 13:49:09 UTC
This is a sad history. We seem to have plenty of bugs like bug 1410912 or bug 1224987 and both them were neglected so long, that they eventually went through EOL process (the former have been saved by its reporter, latter was not).

There are bugs all over the internet, e.g. https://bugzilla.gnome.org/show_bug.cgi?id=782694 (and others linked above), or https://bugzilla.mozilla.org/show_bug.cgi?id=1434572 , and yet there doesn't seem to be much interest.

Comment 4 Matěj Cepl 2018-02-04 13:52:05 UTC
(In reply to Ed Marshall from comment #2)
> #1413858 appears to be related? That issue refers to this upstream bug:
> https://bugzilla.gnome.org/show_bug.cgi?id=782694

That's bug 1413858 (just to have link here).

Comment 5 Matěj Cepl 2018-02-04 13:54:17 UTC
And bug 1285342.

Comment 6 Matěj Cepl 2018-02-06 15:48:30 UTC
Whenever copying fails, I see in journalctl:

Feb 06 16:29:17 mitmanek.ceplovi.cz evolution[4793]: Error writing selection data: Error writing to file descriptor: Broken pipe

(or whichever application fails to copy to clipboard).

Second data point:

when I wait a minute or more (I went for cuppa, so not sure how long it took) paste in the end happens.

Comment 10 Olivier Fourdan 2018-03-09 16:06:54 UTC
For gtk3 fix, bug 1553825


Note You need to log in before you can comment on or make changes to this bug.